import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T26T extends Component
{

    name='26T'
    desp = "Transaction Type Code"
    
    pattern = "3!c"
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col span={8}>
                            <FormItem
                             help={errmsg.s1}
                                validateStatus={errmsg.s1?'error':null}
                            >  
                                    <Input  type="text" maxLength={3} style={{imeMode:'disabled'}} placeholder="Transaction Type Code"
                                        value={value.s1}
                                        onChange={e=>this.onChange(e.target.value)}
                                    />
                            </FormItem>
                </Col>
        </Row>)
    }
}